Return a linked token
Return a linked token, with its status and metadata.
GET
/
tokenization
/
tokens
/
{id}
TypeScript
const response: Promise<FireblocksResponse<TokenLinkDto>> = fireblocks.tokenization.getLinkedToken(tokenizationApiGetLinkedTokenRequest);CompletableFuture<ApiResponse<TokenLinkDto>> response = fireblocks.tokenization().getLinkedToken(id);response = fireblocks.tokenization.get_linked_token(id);curl --request GET \
--url https://api.fireblocks.io/v1/tokenization/tokens/{id}const options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/tokenization/tokens/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb",
"status": "COMPLETED",
"type": "NON_FUNGIBLE_TOKEN",
"refId": "BQ5R_MY_TOKEN",
"displayName": "My Simple ERC20 Token",
"tokenMetadata": {
"assetId": "BQ5R_MY_TOKEN",
"name": "MyToken",
"symbol": "MYT",
"networkProtocol": "ETH",
"totalSupply": "1000000000000000",
"holdersCount": "6",
"type": "ERC20",
"contractAddress": "0x1234567890abcdef1234567890abcdef12345678",
"issuerAddress": "rGyXjc5d7s17vvt3NtKKascvJrnSxV21kQ",
"testnet": true,
"blockchain": "ETH_TEST5",
"decimals": 18,
"vaultAccountId": "0"
}
}{
"message": "<string>",
"code": 123
}Path Parameters
The token link id
Response
Token fetched successfully
The token link id
Example:
"fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb"
The token status
Available options:
PENDING, COMPLETED Example:
"COMPLETED"
The type of token
Available options:
FUNGIBLE_TOKEN, NON_FUNGIBLE_TOKEN, TOKEN_UTILITY, TOKEN_EXTENSION Example:
"NON_FUNGIBLE_TOKEN"
The Fireblocks' reference id
Example:
"BQ5R_MY_TOKEN"
The token display name. If was not provided, would be taken from the contract template
Example:
"My Simple ERC20 Token"
The token's metadata
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<TokenLinkDto>> = fireblocks.tokenization.getLinkedToken(tokenizationApiGetLinkedTokenRequest);CompletableFuture<ApiResponse<TokenLinkDto>> response = fireblocks.tokenization().getLinkedToken(id);response = fireblocks.tokenization.get_linked_token(id);